import { P2P } from '@shardeum-foundation/lib-types';
import { Node } from '@shardeum-foundation/lib-types/build/src/p2p/NodeListTypes';
export declare function isNodeProblematic(node: Node, currentCycle: number): boolean;
export declare function getConsecutiveRefutes(refuteCycles: number[], currentCycle: number): number;
export declare function getRefutePercentage(refuteCycles: number[], currentCycle: number): number;
export declare function getProblematicNodes(prevRecord: P2P.CycleCreatorTypes.CycleRecord): string[];
